From b1f7e7a42b315ff328e26e25129b28d91bfffe2f Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter_e@gmx.net>
Date: Tue, 29 Nov 2016 12:00:00 -0500
Subject: [PATCH v2 2/6] Remove unnecessary include

Between 6eeb95f0f56bb5e8a0a9328aeec04c9e6de87272 and
7b1c2a0f2066672b24f6257ec9b8d78a1754f494, builtins.h contained
additional prototypes that have now been moved elsewhere, so we don't
need to include nodes/parsenodes.h anymore.

Fix some files that were relying on builtins.h implicitly pulling in
some unrelated stuff they needed.
---
 src/backend/catalog/pg_enum.c | 1 +
 src/backend/utils/adt/oid.c   | 1 +
 src/include/utils/builtins.h  | 1 -
 3 files changed, 2 insertions(+), 1 deletion(-)

diff --git a/src/backend/catalog/pg_enum.c b/src/backend/catalog/pg_enum.c
index 77cf608bb1..089a9a0a65 100644
--- a/src/backend/catalog/pg_enum.c
+++ b/src/backend/catalog/pg_enum.c
@@ -24,6 +24,7 @@
 #include "catalog/pg_type.h"
 #include "storage/lmgr.h"
 #include "miscadmin.h"
+#include "nodes/value.h"
 #include "utils/builtins.h"
 #include "utils/catcache.h"
 #include "utils/fmgroids.h"
diff --git a/src/backend/utils/adt/oid.c b/src/backend/utils/adt/oid.c
index fd123827dd..b0478f78bd 100644
--- a/src/backend/utils/adt/oid.c
+++ b/src/backend/utils/adt/oid.c
@@ -19,6 +19,7 @@
 
 #include "catalog/pg_type.h"
 #include "libpq/pqformat.h"
+#include "nodes/value.h"
 #include "utils/array.h"
 #include "utils/builtins.h"
 
diff --git a/src/include/utils/builtins.h b/src/include/utils/builtins.h
index e1bb344e4f..d57c94c677 100644
--- a/src/include/utils/builtins.h
+++ b/src/include/utils/builtins.h
@@ -15,7 +15,6 @@
 #define BUILTINS_H
 
 #include "fmgr.h"
-#include "nodes/parsenodes.h"
 #include "utils/sortsupport.h"
 
 /*
-- 
2.11.0

